.layout {
    height: inherit;
    min-height: 100vh;

    .content-view {
        @media screen and (max-width: 991px) {
            margin-top: 0px;
        }
    }
}

$white: #ffffff;
$size-normal: 15px;
$header-height: 80px !default;
$header-bg-primary: #2a354a !default;

.dropdown-menu-in-navigation-bar {
    overflow: hidden;
    padding: 0 !important;

    .ant-menu-item {
        height: auto;
        padding-top: 10px;
        padding-bottom: 10px;

        > a,
        > button,
        i {
            display: flex;
            align-items: center;
        }
    }

    li.ant-menu-item-divider {
        margin: 0;
    }
}

.navigation-bar-influencer-layouts {
    &.dark-mode {
        padding: 0;
        min-height: $header-height;
        background-color: $header-bg-primary;
    }

    .ant-menu-dark {
        background-color: $header-bg-primary;

        .ant-menu-item-selected {
            background-color: transparent !important;

            a:before {
                transition: all 0.4s;
                bottom: 0px !important;
                border-bottom: 7px solid #f7fafd;
            }
        }
    }

    .logo-navigation-bar {
        display: flex;
    }

    .ant-menu-item {
        margin: 0;
        padding: 15px;
        position: relative;
        line-height: 54px;
        height: $header-height;

        .lg-nav-icon {
            padding: 12px;
            display: inline-flex;
        }

        a {
            color: $white;
            line-height: 51px;
            font-size: $size-normal;

            &:before {
                width: 0;
                height: 0;
                top: auto;
                bottom: -8px !important;
                left: calc(50% + 11px);
                border-left: 7px solid transparent;
                border-right: 7px solid transparent;
                border-bottom: 7px solid transparent;
                transition: all 0.4s;
            }
        }
    }

    .ant-avatar.ant-dropdown-trigger {
        border: 0;
        width: 44px;
        height: 44px;
        flex-shrink: 0;
        margin-right: 2px;
        border-radius: 44px;
    }

    @media screen and (max-width: 991px) {
        &.ant-layout-header {
            margin-top: 0;

            > .container {
                flex-direction: row;
                padding: 0 15px !important;
            }
        }

        .ant-menu-root {
            display: none;
        }
    }
}

.hide-md-and-larger {
    display: none;
}

@media screen and (max-width: 991px) {
    .header-ghosting.ant-layout-header {
        margin-top: 0;
        padding: 0 15px;
        line-height: 1.2;
        height: auto !important;
    }

    .hide-md-and-larger {
        display: block;
    }
}
